Initiate collection
Initiate an insurance data collection for a given individual based on the CollectionRequestInput with the specified login method.
Request
Header Parameters
Specifies the API version to use. Must match the version of the endpoint you are targeting.
2025-01-01.Request Body
The name of the company to trigger the collection from
A set of consents provided by the end user.
Key-value object specifying additional input required for the collection. What values should be included depends on context.Possible keys are SWEDISH_PERSONAL_NUMBER, NORWEGIAN_PERSONAL_NUMBER, NORWEGIAN_PHONE_NUMBER,USERNAME, PASSWORD, LASTNAME, ACCOUNT_OWNER_NAME.
Login method that will be used to authenticate the user. Available login methods for a company is specified in the /companies/availability response.
USERNAME_AND_PASSWORD, PDF_UPLOAD or MANUAL_SELECT.Responses
Data collection successfully initiated.
Body
Beta feature, will only be populated for select companies. This feature is intended to preview data during the collection process. Please refer to the data endpoint as the source of truth for collected data.
Company that this collection is from
A key-value map containing potential extra information, depending on the company the collection is getting data from.
The collection ID of the request
The recommended interval in milliseconds at which to poll the /status endpoint for a collection. The endpoint can be polled less often, but latest by the value indicated by pollingTimeout to ensure that the collection is not terminated.
The collection status must be polled before this timestamp. Failure to do so may result in the termination of the collection.
Current status of the collection.
RUNNING, LOGIN, TWO_FACTOR_PENDING, TWO_FACTOR_METHOD_SELECTION_TIMEOUT, CONTACT_FORM_PENDING, COLLECTION_INPUT_PENDING, COLLECTION_INPUT_TIMEOUT, COLLECTING, COMPLETED, COMPLETED_PARTIAL, COMPLETED_EMPTY, FAILED, FAILED_PDF_PARSE, FAILED_PDF_USER_INPUT, AUTHENTICATION_TIMEOUT, WAITING_FOR_USER_ACTION, INCORRECT_CREDENTIALS, AUTHENTICATION_CANCELLED, AUTHENTICATION_CONFLICT, ACCOUNT_TEMPORARILY_LOCKED, AUTHENTICATION_MISMATCH, KYC_FORM, CONTACT_FORM, CUSTOMER_ENROLLMENT_REQUIRED or THIRD_PARTY_ERROR.curl https://api.insurely.com/insurance/collection \ -H "client-id: <client-id>" \ -H "Content-Type: application/json" \ -d '{ "company": "fr-gmf", "input": { "PASSWORD": "password123", "USERNAME": "user@example.com" }, "loginMethod": "USERNAME_AND_PASSWORD"}' \ -X POST{ "company": "fr-gmf", "extraInformation": null, "id": "117a54401a0a1234ac765a85eaee7ea9", "pollingInterval": 1000, "status": "RUNNING"}